package com.smcic.api.hotrank.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.smcic.api.hotrank.dto.HotRankDTO;
import com.smcic.api.hotrank.entity.HotRank;
import com.smcic.api.hotrank.mapper.HotRankMapper;
import com.smcic.api.hotrank.service.IHotRankService;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.stream.Collectors;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author syj
 * @since 2022-04-27
 */
@Service
public class HotRankServiceImpl extends ServiceImpl<HotRankMapper, HotRank> implements IHotRankService {
    public List<HotRankDTO> todayRank(String rank){
        String dt = baseMapper.getLastDt(rank);
        return lambdaQuery().eq(HotRank::getDt, dt).eq(HotRank::getPlatform, rank).orderByAsc(HotRank::getId).last("limit 50").list()
                .stream().map(data -> new HotRankDTO(data.getContent(), data.getRk())).collect(Collectors.toList());
    }
}
